##### 7.5.5.0. poly2list

Procedure from library `dmodapp.lib` (see dmodapp_lib).

Usage:
  poly2list(f); f a poly

Return:
  list of exponents and corresponding terms of f

Purpose:
  converts a poly to a list of pairs consisting of intvecs (1st entry)
  and polys (2nd entry), where the i-th pair contains the exponent of the
  i-th term of f and the i-th term (with coefficient) itself.

Example:

    LIB "dmodapp.lib";
    ring r = 0,x,dp;
    poly F = x;
    poly2list(F);
    ==> [1]:
    ==>    [1]:
    ==>       1
    ==>    [2]:
    ==>       x
    ring r2 = 0,(x,y),dp;
    poly F = x2y+5xy2;
    poly2list(F);
    ==> [1]:
    ==>    [1]:
    ==>       2,1
    ==>    [2]:
    ==>       x2y
    ==> [2]:
    ==>    [1]:
    ==>       1,2
    ==>    [2]:
    ==>       5xy2
    poly2list(0);
    ==> [1]:
    ==>    [1]:
    ==>       0,0
    ==>    [2]:
    ==>       0

User manual for Singular version 4.4.1, 2025, generated by texi2html.